/**************************************************************************/
/*                                                                        */
/* Copyright (c) 2001, 2024 NoMachine, http://www.nomachine.com/.         */
/*                                                                        */
/* The NX library and any derived work however based on this software     */
/* are copyright of NoMachine. Redistribution and use of the present      */
/* software is allowed according to terms specified in the file LICENSE   */
/* which comes in the source distribution.                                */
/*                                                                        */
/* Check http://www.nomachine.com/licensing.html for further options.     */
/*                                                                        */
/* NX and NoMachine are trademarks of NoMachine S.a.r.l.                  */
/*                                                                        */
/* All rights reserved.                                                   */
/*                                                                        */
/**************************************************************************/

#ifndef Library_H
#define Library_H

#include "Types.h"

#ifdef WIN32

typedef HMODULE LibraryHandle;
typedef FARPROC LibraryFunction;

#else // #ifdef WIN32 ...

#include <dlfcn.h>

typedef void *LibraryHandle;
typedef void *LibraryFunction;

#endif // #ifdef WIN32 ... #else ...

LibraryHandle LibraryOpen(const Char *path);

LibraryFunction LibrarySymbol(LibraryHandle handle, const Char *name);

Int LibraryClose(LibraryHandle handle);

#endif /* Library_H */

