/**************************************************************************/
/*                                                                        */
/* Copyright (c) 2001, 2024 NoMachine, http://www.nomachine.com/.         */
/*                                                                        */
/* The NX library and any derived work however based on this software     */
/* are copyright of NoMachine. Redistribution and use of the present      */
/* software is allowed according to terms specified in the file LICENSE   */
/* which comes in the source distribution.                                */
/*                                                                        */
/* Check http://www.nomachine.com/licensing.html for further options.     */
/*                                                                        */
/* NX and NoMachine are trademarks of NoMachine S.a.r.l.                  */
/*                                                                        */
/* All rights reserved.                                                   */
/*                                                                        */
/**************************************************************************/

#ifndef Random_H
#define Random_H

#include "Md5.h"

//
// MD5 types and functions.
//

#define Md5Length        16
#define Md5StringSize    16 * 2 + 1
#define Md5StringLength  16 * 2

#define Md5Digest        md5_byte_t
#define Md5Data          md5_byte_t
#define Md5State         md5_state_t

#define Md5Init(state)                     md5_init((state))
#define Md5Append(state, data, length)     md5_append((state), (data), (length))
#define Md5Finish(state, digest)           md5_finish((state), (digest))

inline Md5Digest *Md5Get(Md5Digest *digest, const Md5Data *data, Int size)
{
  Md5State state;

  Md5Init(&state);

  Md5Append(&state, data, size);

  Md5Finish(&state, digest);

  return digest;
}

Char *Md5FileGetString(const Char *directory, const Char *name);

void RandomInit();

Int RandomGet();

Md5Digest *RandomGetMd5(Md5Digest *digest);

#endif /* Random_H */
